QGIS Application - Feature request #10420
Use field values for numerical / string entries when the algorithm is executed iteratively
2014-06-02 06:44 AM - Michael Douchin

Status: Open

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 18835
Description

Processing allows to use an expression to calculate the value of a "number"” entry. See
http://docs.qgis.org/2.2/en/docs/user _manual/processing/toolbox.html#the-algorithm-dialog

When using a script or algorithm in "iterating" mode (green arrow next to one vector layer entry), it could be handy to be able to use one or
more field names of this layer in the expression, so that the entry numbers or string can be calculated with an expression like
"somefield" * 2 + "otherfield"

History

#1 - 2015-06-07 04:04 AM - Giovanni Manghi

- Category changed from 94 to Processing/Core

#2 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
